# Upload view schema by id

`POST https://api.parklio.com/v2/parking-detection-cameras/{id}/upload-view-schema`

Upload view schema to detection camera frame by id

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes | Parking detection camera ID |

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "name": "Parking Detection Camera 1",
    "uuid": "d3a17704-98e4-4c8b-bb2e-5c2ec4e1c1f4",
    "external_id": "0101010101010101",
    "parking_detection_gateway_id": 1,
    "zone_id": 1,
    "deleted_at": null,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z",
    "view_schema": "string"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — The file uploaded is not valid or corrupted

```json
{
  "success": false,
  "errors": [
    {
      "code": 27,
      "message": "The file you uploaded is malformed"
    }
  ]
}
```

